## r-cran-rsqlite 2.3.9

=== DESCRIPTION ===
Package: RSQLite
Title: SQLite Interface for R
Version: 2.3.9
Date: 2024-12-02
Authors@R: c(
    person("Kirill", "Müller", , "kirill@cynkra.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-1416-3412")),
    person("Hadley", "Wickham", role = "aut"),
    person(c("David", "A."), "James", role = "aut"),
    person("Seth", "Falcon", role = "aut"),
    person("D. Richard", "Hipp", role = "ctb",
           comment = "for the included SQLite sources"),
    person("Dan", "Kennedy", role = "ctb",
           comment = "for the included SQLite sources"),
    person("Joe", "Mistachkin", role = "ctb",
           comment = "for the included SQLite sources"),
    person(, "SQLite Authors", role = "ctb",
           comment = "for the included SQLite sources"),
    person("Liam", "Healy", role = "ctb",
           comment = "for the included SQLite sources"),
    person("R Consortium", role = "fnd"),
    person(, "RStudio", role = "cph")
  )
Description: Embeds the SQLite database engine in R and provides an
    interface compliant with the DBI package. The source for the SQLite
    engine and for various extensions in a recent version is included.
    System libraries will never be consulted because this package relies
    on static linking for the plugins it includes; this also ensures a
    consistent experience across all installations.
License: LGPL (>= 2.1)
URL: https://rsqlite.r-dbi.org, https://github.com/r-dbi/RSQLite
BugReports: https://github.com/r-dbi/RSQLite/issues
Depends: R (>= 3.1.0)
Imports: bit64, blob (>= 1.2.0), DBI (>= 1.2.0), memoise, methods,
        pkgconfig, rlang
Suggests: callr, cli, DBItest (>= 1.8.0), decor, gert, gh, hms, knitr,
        magrittr, rmarkdown, rvest, testthat (>= 3.0.0), withr, xml2
LinkingTo: plogr (>= 0.2.0), cpp11 (>= 0.4.0)
VignetteBuilder: knitr
Config/Needs/website: r-dbi/dbitemplate
Config/autostyle/scope: line_breaks
Config/autostyle/strict: false
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.2.9000
Collate: 'SQLiteConnection.R' 'SQLKeywords_SQLiteConnection.R'
        'SQLiteDriver.R' 'SQLite.R' 'SQLiteResult.R' 'coerce.R'
        'compatRowNames.R' 'copy.R' 'cpp11.R' 'datasetsDb.R'
        'dbAppendTable_SQLiteConnection.R' 'dbBeginTransaction.R'
        'dbBegin_SQLiteConnection.R' 'dbBind_SQLiteResult.R'
        'dbClearResult_SQLiteResult.R' 'dbColumnInfo_SQLiteResult.R'
        'dbCommit_SQLiteConnection.R' 'dbConnect_SQLiteConnection.R'
        'dbConnect_SQLiteDriver.R' 'dbDataType_SQLiteConnection.R'
        'dbDataType_SQLiteDriver.R' 'dbDisconnect_SQLiteConnection.R'
        'dbExistsTable_SQLiteConnection_Id.R'
        'dbExistsTable_SQLiteConnection_character.R'
        'dbFetch_SQLiteResult.R' 'dbGetException_SQLiteConnection.R'
        'dbGetInfo_SQLiteConnection.R' 'dbGetInfo_SQLiteDriver.R'
        'dbGetPreparedQuery.R'
        'dbGetPreparedQuery_SQLiteConnection_character_data.frame.R'
        'dbGetRowCount_SQLiteResult.R'
        'dbGetRowsAffected_SQLiteResult.R'
        'dbGetStatement_SQLiteResult.R' 'dbHasCompleted_SQLiteResult.R'
        'dbIsValid_SQLiteConnection.R' 'dbIsValid_SQLiteDriver.R'
        'dbIsValid_SQLiteResult.R' 'dbListResults_SQLiteConnection.R'
        'dbListTables_SQLiteConnection.R'
        'dbQuoteIdentifier_SQLiteConnection_SQL.R'
        'dbQuoteIdentifier_SQLiteConnection_character.R'
        'dbReadTable_SQLiteConnection_character.R'
        'dbRemoveTable_SQLiteConnection_character.R'
        'dbRollback_SQLiteConnection.R' 'dbSendPreparedQuery.R'
        'dbSendPreparedQuery_SQLiteConnection_character_data.frame.R'
        'dbSendQuery_SQLiteConnection_character.R'
        'dbUnloadDriver_SQLiteDriver.R'
        'dbUnquoteIdentifier_SQLiteConnection_SQL.R'
        'dbWriteTable_SQLiteConnection_character_character.R'
        'dbWriteTable_SQLiteConnection_character_data.frame.R'
        'db_bind.R' 'deprecated.R' 'export.R' 'fetch_SQLiteResult.R'
        'import-standalone-check_suggested.R'
        'import-standalone-purrr.R' 'initExtension.R' 'initRegExp.R'
        'isSQLKeyword_SQLiteConnection_character.R'
        'make.db.names_SQLiteConnection_character.R' 'pkgconfig.R'
        'show_SQLiteConnection.R' 'sqlData_SQLiteConnection.R'
        'table.R' 'transactions.R' 'utils.R' 'version.R' 'zzz.R'
NeedsCompilation: yes
Packaged: 2024-12-03 17:33:18 UTC; kirill
Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
  Hadley Wickham [aut],
  David A. James [aut],
  Seth Falcon [aut],
  D. Richard Hipp [ctb] (for the included SQLite sources),
  Dan Kennedy [ctb] (for the included SQLite sources),
  Joe Mistachkin [ctb] (for the included SQLite sources),
  SQLite Authors [ctb] (for the included SQLite sources),
  Liam Healy [ctb] (for the included SQLite sources),
  R Consortium [fnd],
  RStudio [cph]
Maintainer: Kirill Müller <kirill@cynkra.com>
Repository: CRAN
Date/Publication: 2024-12-03 19:30:05 UTC

=== debian/changelog ===
r-cran-rsqlite (2.3.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 18 Jan 2025 00:24:37 +0100

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-callr,
        r-cran-cli,
        r-cran-dbitest (>= 1.8.0),
        r-cran-decor,
        r-cran-gert,
        r-cran-gh,
        r-cran-hms,
        r-cran-knitr,
        r-cran-magrittr,
        r-cran-rmarkdown,
        r-cran-rvest,
        r-cran-testthat (>= 3.0.0),
        r-cran-withr,
        r-cran-xml2
Restrictions: allow-stderr

## r-cran-rsqlite 2.4.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: RSQLite
 Title: SQLite Interface for R
-Version: 2.3.9
-Date: 2024-12-02
+Version: 2.4.5
+Date: 2025-11-30
 Authors@R: c(
     person("Kirill", "Müller", , "kirill@cynkra.com", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0002-1416-3412")),
@@ -23,7 +23,7 @@
   )
 Description: Embeds the SQLite database engine in R and provides an
     interface compliant with the DBI package. The source for the SQLite
-    engine and for various extensions in a recent version is included.
+    engine (version 3.51.1) and for various extensions is included.
     System libraries will never be consulted because this package relies
     on static linking for the plugins it includes; this also ensures a
     consistent experience across all installations.
@@ -42,7 +42,7 @@
 Config/autostyle/strict: false
 Config/testthat/edition: 3
 Encoding: UTF-8
-RoxygenNote: 7.3.2.9000
+RoxygenNote: 7.3.3.9000
 Collate: 'SQLiteConnection.R' 'SQLKeywords_SQLiteConnection.R'
         'SQLiteDriver.R' 'SQLite.R' 'SQLiteResult.R' 'coerce.R'
         'compatRowNames.R' 'copy.R' 'cpp11.R' 'datasetsDb.R'
@@ -83,8 +83,9 @@
         'show_SQLiteConnection.R' 'sqlData_SQLiteConnection.R'
         'table.R' 'transactions.R' 'utils.R' 'version.R' 'zzz.R'
 NeedsCompilation: yes
-Packaged: 2024-12-03 17:33:18 UTC; kirill
-Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
+Packaged: 2025-11-30 06:06:25 UTC; kirill
+Author: Kirill Müller [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-1416-3412>),
   Hadley Wickham [aut],
   David A. James [aut],
   Seth Falcon [aut],
@@ -97,4 +98,4 @@
   RStudio [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2024-12-03 19:30:05 UTC
+Date/Publication: 2025-11-30 07:10:02 UTC

=== debian/changelog ===
r-cran-rsqlite (2.4.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Tue, 03 Feb 2026 16:58:57 +0900

=== debian/control ===
Source: r-cran-rsqlite
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-bit64,
               r-cran-blob,
               r-cran-dbi (>= 1.2.0),
               r-cran-memoise,
               r-cran-pkgconfig,
               r-cran-rlang,
               r-cran-plogr,
               r-cran-cpp11,
               libsqlite3-dev,
               architecture-is-64-bit,
               architecture-is-little-endian
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsqlite
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsqlite.git
Homepage: https://cran.r-project.org/package=RSQLite
Rules-Requires-Root: no

Package: r-cran-rsqlite
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Database Interface R driver for SQLite
 This package embeds the SQLite database engine in R and provides an interface
 compliant with the DBI package. This package is built with the SQLite package
 distributed in Debian, not with the copy included in the CRAN package.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-callr,
         r-cran-cli,
         r-cran-dbitest,
         r-cran-decor,
         r-cran-gert,
         r-cran-gh,
         r-cran-hms,
         r-cran-knitr,
         r-cran-magrittr,
         r-cran-rmarkdown,
         r-cran-rvest,
         r-cran-testthat,
         r-cran-withr,
         r-cran-xml2,
         r-cran-dbitest (>= 1.8.0),
         r-cran-testthat (>= 3.0.0)
Restrictions: allow-stderr

## r-cran-rsqlite 2.4.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: RSQLite
 Title: SQLite Interface for R
-Version: 2.4.5
-Date: 2025-11-30
+Version: 2.4.6
+Date: 2026-02-05
 Authors@R: c(
     person("Kirill", "Müller", , "kirill@cynkra.com", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0002-1416-3412")),
@@ -23,7 +23,7 @@
   )
 Description: Embeds the SQLite database engine in R and provides an
     interface compliant with the DBI package. The source for the SQLite
-    engine (version 3.51.1) and for various extensions is included.
+    engine (version 3.51.2) and for various extensions is included.
     System libraries will never be consulted because this package relies
     on static linking for the plugins it includes; this also ensures a
     consistent experience across all installations.
@@ -35,7 +35,7 @@
         pkgconfig, rlang
 Suggests: callr, cli, DBItest (>= 1.8.0), decor, gert, gh, hms, knitr,
         magrittr, rmarkdown, rvest, testthat (>= 3.0.0), withr, xml2
-LinkingTo: plogr (>= 0.2.0), cpp11 (>= 0.4.0)
+LinkingTo: cpp11 (>= 0.4.0)
 VignetteBuilder: knitr
 Config/Needs/website: r-dbi/dbitemplate
 Config/autostyle/scope: line_breaks
@@ -83,7 +83,7 @@
         'show_SQLiteConnection.R' 'sqlData_SQLiteConnection.R'
         'table.R' 'transactions.R' 'utils.R' 'version.R' 'zzz.R'
 NeedsCompilation: yes
-Packaged: 2025-11-30 06:06:25 UTC; kirill
+Packaged: 2026-02-05 19:29:15 UTC; kirill
 Author: Kirill Müller [aut, cre] (ORCID:
     <https://orcid.org/0000-0002-1416-3412>),
   Hadley Wickham [aut],
@@ -98,4 +98,4 @@
   RStudio [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2025-11-30 07:10:02 UTC
+Date/Publication: 2026-02-06 10:50:07 UTC

=== debian/changelog ===
r-cran-rsqlite (2.4.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove build-dependency on r-cran-plogr.

 -- Charles Plessy <plessy@debian.org>  Mon, 09 Feb 2026 16:20:25 +0900

=== debian/control ===
Source: r-cran-rsqlite
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-bit64,
 r-cran-blob,
 r-cran-dbi (>= 1.2.0),
 r-cran-memoise,
 r-cran-pkgconfig,
 r-cran-rlang,
 r-cran-cpp11,
 libsqlite3-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsqlite
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsqlite.git
Homepage: https://cran.r-project.org/package=RSQLite
Rules-Requires-Root: no

Package: r-cran-rsqlite
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Database Interface R driver for SQLite
 This package embeds the SQLite database engine in R and provides an interface
 compliant with the DBI package. This package is built with the SQLite package
 distributed in Debian, not with the copy included in the CRAN package.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-callr,
 r-cran-cli,
 r-cran-dbitest (>= 1.8.0),
 r-cran-decor,
 r-cran-gert,
 r-cran-gh,
 r-cran-hms,
 r-cran-knitr,
 r-cran-magrittr,
 r-cran-rmarkdown,
 r-cran-rvest,
 r-cran-testthat (>= 3.0.0),
 r-cran-withr,
 r-cran-xml2,
